summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 6124aee)
raw | patch | inline | side by side (parent: 6124aee)
author | Junio C Hamano <junkio@cox.net> | |
Fri, 2 Feb 2007 05:47:34 +0000 (21:47 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Fri, 2 Feb 2007 05:47:34 +0000 (21:47 -0800) |
Converts one use of git-checkout in git-bisect not to say "switching
to branch". It looks like all the other cases it is friendlier to
give notice to the end user.
Signed-off-by: Junio C Hamano <junkio@cox.net>
to branch". It looks like all the other cases it is friendlier to
give notice to the end user.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-bisect.sh | patch | blob | history |
diff --git a/git-bisect.sh b/git-bisect.sh
index 6da31e87a01af9b883958b3b0bae4304bfa94520..e8d34189887cdbc2776ec2da039454c059705b65 100755 (executable)
--- a/git-bisect.sh
+++ b/git-bisect.sh
nr=$(eval "git-rev-list $rev $good -- $(cat $GIT_DIR/BISECT_NAMES)" | wc -l) || exit
echo "Bisecting: $nr revisions left to test after this"
echo "$rev" > "$GIT_DIR/refs/heads/new-bisect"
- git checkout new-bisect || exit
+ git checkout -q new-bisect || exit
mv "$GIT_DIR/refs/heads/new-bisect" "$GIT_DIR/refs/heads/bisect" &&
GIT_DIR="$GIT_DIR" git-symbolic-ref HEAD refs/heads/bisect
git-show-branch "$rev"